function [maxIndex, maxVal] = maxUtilityFnction(d, w)

[numServices, numQ] = size(d);
numQ = numQ - 2;
ServiceClasses = unique(d(:,numQ + 2));
numServiceClasses = length(ServiceClasses);

for j = 1:numServiceClasses
    Qmin(ServiceClasses(j), 1:numQ) = min(d(d(:,numQ + 2) == ServiceClasses(j), 1:numQ));
    Qmax(ServiceClasses(j), 1:numQ) = max(d(d(:,numQ + 2) == ServiceClasses(j), 1:numQ));
end
U = zeros(numServices, 1);
for s = 1:numServices
    U(s) = sum((Qmax(d(s,numQ+2), 1:numQ) - d(s, 1:numQ)) .* w' ./ ...
        (Qmax(d(s,numQ+2), 1:numQ) - Qmin(d(s,numQ+2), 1:numQ)));
end
[maxVal, maxIndex] = max(U);