function fit = myFittness(x)

global data
global n

Availability = data(x(1),1);
for i = 2:n
    Availability = Availability .* data(x(i),1);
end
Reliability = data(x(1),2);
for i = 2:n
    Reliability = Reliability .* data(x(i),2);
end
Throughput = data(x(1),3);
for i = 2:n
    if (Throughput > data(x(i),3)) 
        Throughput =data(x(i),3);
    end
end
Reputation = data(x(1),4);
for i = 2:n
    Reputation = Reputation + data(x(i),4);
end
Reputation = Reputation / n;
Bandwith = data(x(1),5);
for i = 2:n
      if (Bandwith < data(x(i),5)) 
        Bandwith =data(x(i),5);
      end
end
Delivery = data(x(1),6);
for i = 2:n
    Delivery = Delivery + data(x(i),6);
end
ResponseTime = data(x(1),7);
for i = 2:n
    ResponseTime = ResponseTime + data(x(i),7);
end
Price = data(x(1),8);
for i = 2:n
    Price = Price + data(x(i),8);
end
Latency = data(x(1),9);
for i = 2:n
    Latency = Latency + data(x(i),9);
end
fit =  ((Availability + Reliability + Throughput + Reputation + Bandwith + Delivery))/((ResponseTime + Price + Latency));
