function Qprim = computeQprim(q)
[numServices, numQ] = size(q);
Availability = q(1,1);
for i = 2:numServices
    Availability = Availability .* q(i,1);
end

Reliability = q(1,2);
for i = 2:numServices
    Reliability = Reliability .* q(i,2);
end

Throughput = q(1,3);
for i = 2:numServices
    if (Throughput > q(i,3)) 
        Throughput =q(i,3);
    end
end

Reputation = q(1,4);
for i = 2:numServices
    Reputation = Reputation + q(i,4);
end
Reputation = Reputation / numServices;

ResponseTime = q(1,5);
for i = 2:numServices
    ResponseTime = ResponseTime + q(i,5);
end
Price = q(1,6);
for i = 2:numServices
    Price = Price + q(i,6);
end

Bandwith = q(1,7);
for i = 2:numServices
      if (Bandwith < q(i,7)) 
        Bandwith =q(i,7);
      end
end
Delivery = q(1,8);
for i = 2:numServices
    Delivery = Delivery + q(i,8);
end

Latency = q(1,9);
for i = 2:numServices
    Latency = Latency + q(i,9);
end

Qprim = [Availability Reliability Throughput Reputation ResponseTime Price Bandwith Delivery Latency 0];
