function [res, compositionsQOS, alltime] = mainBuildRepresentativesHeapTree(d, n, w)


[numServices, numQ] = size(d);
numQ = numQ - 2;

tic
tree = MinHeap(numServices);
tree = BuildRepresentativesHeapTree(d, tree, w);

ServiceClasses = unique(d(:,numQ + 2));
numServiceClasses = length(ServiceClasses);

flagServiceClass = zeros(numServiceClasses, 1);
compositions = [];
for i=1:numServices
    x = tree.ExtractMin();
    if (flagServiceClass(d(x(2), numQ+2)) == 0)
        compositions = [compositions ; x];
        flagServiceClass(d(x(2), numQ+2)) = 1;
    end
    if (sum(flagServiceClass) == numServiceClasses)
        break;
    end
end
compositionsQOS = myFittness(compositions(:, 2));
res = compositions(:, 2);
alltime = toc;
