function [minIndex, minVal] = minUtilityFnctionComposition(d, w)

[numServices, numQ] = size(d);
numQ = numQ - 2;
ServiceClasses = unique(d(:,numQ + 2));
numServiceClasses = length(ServiceClasses);

for j = 1:numServiceClasses
    Qmin(ServiceClasses(j), 1:numQ) = min(d(d(:,numQ + 2) == ServiceClasses(j), 1:numQ));
    Qmax(ServiceClasses(j), 1:numQ) = max(d(d(:,numQ + 2) == ServiceClasses(j), 1:numQ));
end
Qminprim = computeQprim(Qmin);
Qmaxprim = computeQprim(Qmax);

U = zeros(numServices, 1);
for s = 1:numServices
    %    U(s) = sum((Qmax(d(s,numQ+2), 1:numQ) - d(s, 1:numQ)) .* w' ./ ...
    %        (Qmax(d(s,numQ+2), 1:numQ) - Qmin(d(s,numQ+2), 1:numQ)));
    Q(s, 1:numQ+2) = [Qmax(d(s,numQ+2), 1:numQ) - d(s, 1:numQ) .* w' ./ ...
        (Qmax(d(s,numQ+2), 1:numQ) - Qmin(d(s,numQ+2), 1:numQ)) d(s,numQ+1) d(s,numQ+2)] ;
%     U(s) = (Q(1) + Q(2) + Q(3) + Q(4) + Q(5))/ ( Q(6) + Q(7) + Q(8) + Q(9));
    
end
Qprim = computeQprim(Q);
% for s = 1:numServices
%    U(s) = sum((Qmax( 1:numQ) - d(s, 1:numQ)) .* w' ./ ...
%         (Qmax( 1:numQ) - Qmin( 1:numQ)));
% end
[minVal, minIndex] = min(U);

