function [res, compositionsQOS, alltime] = myUtilityMIP(d, w)
tic
[numServices, numQ] = size(d);
numQ = numQ - 2;

[~, ~, U] = minUtilityFnction(d, w);
ServiceClasses = unique(d(:,numQ + 2));
numServiceClasses = length(ServiceClasses);

Aeq = zeros(numServices, numServiceClasses);
Beq = ones(numServiceClasses, 1);
for j = 1:numServiceClasses
    Aeq(1:numServices,j) = (d(:,numQ + 2) == ServiceClasses(j));
end
Aeq = double(Aeq);
x = intlinprog(U, numServices, -eye(numServices), zeros(numServices, 1), Aeq', Beq);

compositionsQOS = myFittness(d(x == 1, numQ+1));
res = d(x == 1, numQ+1);
alltime = toc;

